
QGIS Application - Bug report #21513

MDAL: crashes when zooming on EPSG:4326

2019-03-07 08:16 PM - Paolo Cavallini

Status: Open

Priority: High

Assignee: Peter Petrik

Category: Mesh layers

Affected QGIS version:3.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29330

Description

    -  open QGIS 3.6

    -  type 'woorld' in the ccod box, to load a world map in 4326

    -  load the file: https://www.faunalia.eu/~paolo/20190307_190528_GFS_P25_.grb2

    -  QGIS crashes

All from Debian sid, up  to date.

History

#1 - 2019-03-07 08:28 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

#2 - 2019-03-08 12:45 PM - Peter Petrik

unable to replicate on MacOS 3.7 master(GDAL 2.4.0).

#3 - 2019-03-08 12:48 PM - Paolo Cavallini

gdal 2.4.0+dfsg-1+b1 here

#4 - 2019-03-08 01:12 PM - salvatore fiandaca

I confirm on Win 10 64x - OSGeo4W Network Installer

----- QGIS Version: 3.6.0-Noosa

Crash ID: f936d78bf3c189271f0f1a8c90c56902c577999b

Stack Trace

QgsMeshLayer::writeXml :

QgsSingleBandPseudoColorRenderer::block :

QgsMeshUtils::exportRasterBlock :

QgsMeshUtils::exportRasterBlock :

QgsMapRendererParallelJob::renderLayerStatic :

QgsMapRendererParallelJob::renderingFinished :

QgsMapRendererParallelJob::renderingFinished :

QgsArchive::zip :
QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.0-Noosa

QGIS code revision: 58734527ab

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

--- QGIS Version: 3.7.0-Master

Crash ID: 9f6eebf80cd342a7293d3af975b876a4ffeca905

Stack Trace

QgsPalettedRasterRenderer::setLabel :

QgsPalettedRasterRenderer::setLabel :

QgsPalettedRasterRenderer::setLabel :

QgsPalettedRasterRenderer::setLabel :

QgsPalettedRasterRenderer::setLabel :

QgsPalettedRasterRenderer::setLabel :

QgsPalettedRasterRenderer::setLabel :

QgsPalettedRasterRenderer::setLabel :

QgsPalettedRasterRenderer::setLabel :

QgsPalettedRasterRenderer::setLabel :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.7.0-Master

QGIS code revision: f87c447d34

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134
#5 - 2019-03-08 02:59 PM - Alberto Grava

- File Schermata del 2019-03-08 14-55-28.png added

qgis 3.6 on ubuntu 18.04 

it doesnt' crash

the result is in the img

#6 - 2019-03-08 03:15 PM - Paolo Cavallini

Which version of GDAL?

#7 - 2019-03-08 05:04 PM - matteo ghetta

Confirmed also on 3.7. This the stack trace I have:

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007fa39b54db49 in GI_poll (fds=0x5642328dc0b0, nfds=9, timeout=39) at ../sysdeps/unix/sysv/linux/poll.c:29

29    ../sysdeps/unix/sysv/linux/poll.c: No such file or directory.

[Current thread is 1 (Thread 0x7fa38fbc6dc0 (LWP 16693))]

#0  0x00007fa39b54db49 in GI_poll (fds=0x5642328dc0b0, nfds=9, timeout=39) at ../sysdeps/unix/sysv/linux/poll.c:29

        resultvar = 18446744073709551100

        sc_cancel_oldtype = 0

        sc_ret = <optimized out>

#1  0x00007fa3996cf136 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#2  0x00007fa3996cf25c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#3  0x00007fa39bbfe233 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#4  0x00007fa38ec79ee1 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

No symbol table info available.

#5  0x00007fa39bbab25b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#6  0x00007fa39bbb33d2 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#7  0x000056422c3eaf97 in main ()

No symbol table info available.

[Inferior 1 (process 16693) detached]

gdb returned 0

Aborted

#8 - 2019-03-08 05:08 PM - Paolo Cavallini

Confirmed also on 3.7. It is crucial to be on 4326, on the native custom grib projection it does not crash.
#9 - 2019-03-08 05:09 PM - Paolo Cavallini

- Subject changed from MDAL: crashes when zooming to MDAL: crashes when zooming on EPSG:4326

#10 - 2019-03-08 06:00 PM - Paolo Cavallini

HDF5-DIAG: Error detected in HDF5 (1.10.4) thread 140444942708288:

  #000: ../../../src/H5F.c line 509 in H5Fopen(): unable to open file

    major: File accessibilty

    minor: Unable to open file

  #001: ../../../src/H5Fint.c line 1400 in H5F__open(): unable to open file

    major: File accessibilty

    minor: Unable to open file

  #002: ../../../src/H5Fint.c line 1700 in H5F_open(): unable to read superblock

    major: File accessibilty

    minor: Read failed

  #003: ../../../src/H5Fsuper.c line 411 in H5F__super_read(): file signature not found

    major: File accessibilty

    minor: Not an HDF5 file

NetCDF: Unknown file format

NetCDF: Unknown file format

#11 - 2019-03-08 07:13 PM - Peter Petrik

ok now I can reproduce it!

#12 - 2019-03-08 07:13 PM - Peter Petrik

- Assignee set to Peter Petrik

#13 - 2019-03-15 10:11 AM - Peter Petrik

- Category changed from Data Provider/MDAL to Mesh layers

#14 - 2019-03-15 11:03 AM - Peter Petrik

looks like QgsMeshLayerRenderer::calculateOutputSize produces non-sense (large negative) width and height values for display size. If same layer is

loaded as raster it works nicely.

Files

Schermata del 2019-03-08 14-55-28.png 318 KB 2019-03-08 Alberto Grava
